wordpress十大常见错误之三:头部信息修改警告

2012/10/30

问题描述:

在更新wordpress或新安装wordpress的时候,在浏览器上出现错误信息: “Warning: Cannot modify header information – headers already sent by (output started at /path/blog/wp-config.php:34)

解决方法:

  1. 使用FTP下载 wp-config.php 。
  2. 打开 wp-config.php.
  3. 移除 <?php.前的空格
  4. 一定要保证第一个字节是 <?php, 在之前不要有空格。Header Error - 10 Most Common WordPress Errors (+Solutions)
  5. 移除 ?>之后的空格。
  6. 保证最后的字节是 ?>, 在其后不要有空格。Header Error - 10 Most Common WordPress Errors (+Solutions)

这个错误也会在其它文件内出现,特别是函数文件functions.php文件内。如出现RSS错误,一般通过此方法也会得到解决。

发表评论

邮箱地址不会被公开。 必填项已用*标注